# -*- coding: utf-8 -*-


from django.core.urlresolvers import reverse

from .common import CommonTest


class LiveTest(CommonTest):
    """
    Test l'API pour savoir si un site répond bien.
    """

    def test_live(self):
        url = reverse('pong')
        response = self.client.get(url)
        self.assertEqual(response.status_code, 200)
        self.assertTrue("Site fonctionnel" in response.content)
